import {NgModule} from '@angular/core'
import {
  CreAutocompleteInputComponent,
  CreChipComboBoxComponent,
  CreChipInputComponent,
  CreComboBoxComponent,
  CreInputComponent
} from './inputs'
import {MatInputModule} from '@angular/material/input'
import {MatIconModule} from '@angular/material/icon'
import {FormsModule, ReactiveFormsModule} from '@angular/forms'
import {CommonModule} from '@angular/common'
import {MatCardModule} from '@angular/material/card'
import {MatListModule} from '@angular/material/list'
import {MatAutocompleteModule} from '@angular/material/autocomplete'
import {MatChipsModule} from '@angular/material/chips'

@NgModule({
  declarations: [
    CreInputComponent,
    CreChipInputComponent,
    CreAutocompleteInputComponent,
    CreComboBoxComponent,
    CreChipComboBoxComponent
  ],
    imports: [
        MatInputModule,
        MatAutocompleteModule,
        MatIconModule,
        ReactiveFormsModule,
        CommonModule,
        MatCardModule,
        MatListModule,
        MatChipsModule,
        FormsModule,
    ],
  exports: [
    CreInputComponent,
    CreComboBoxComponent,
    CreChipComboBoxComponent,
    CreChipInputComponent,
    CreAutocompleteInputComponent
  ]
})
export class CreInputsModule {
}
